#!/usr/bin/env ruby

## 2016-08-24

## random

def read_table(f = $stdin)
  n = f.gets.chomp.to_i
  (0...n).map{f.gets.chomp}
end

def read_table_skip(f = $stdin)
  n = f.gets.chomp.to_i
  n.times{f.gets}
end

def read_table_a(f = $stdin)
  read_table(f).map{|x|x.split(/,/)}
end

def write_table(t, f = $stdout, no_line_num = false)
  f.puts t.size unless no_line_num
  f.puts t
end

def read_p(f = $stdin)
  read_table(f).map{|x| x.to_i - 1}
end

def write_p(p, f = $stdout, no_line_num = false)
  write_table(p.map{|x| x + 1}, f, no_line_num)
end

## input (M, T, M', T')
n = read_table_skip()
read_table_skip()
n2 = read_table_skip()
read_table_skip()

## body
q = (0...n2).map{rand(n)}

## output (Q)
write_p(q)
