#!/usr/bin/env ruby

## 2016-08-04

## - Always outputs 1, 2, ..., n

def read_table(f = $stdin)
  n = f.gets.chomp.to_i
  (0...n).map{f.gets.chomp}
end

def read_table_skip(f = $stdin)
  n = f.gets.chomp.to_i
  n.times{f.gets}
end

def write_table(t, f = $stdout, no_line_num = false)
  f.puts t.size unless no_line_num
  f.puts t
end

def read_p(f = $stdin)
  read_table(f).map{|x| x.to_i - 1}
end

def write_p(p, f = $stdout, no_line_num = false)
  write_table(p.map{|x| x + 1}, f, no_line_num)
end

## input (M, T, M', T')
m = read_table()
t = read_table()
m2 = read_table()
t2 = read_table()

## body
n = m2.size

## output (Q)
write_p((0...n).to_a)
